spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dirceu Semighini Filho <dirceu.semigh...@gmail.com>
Subject Re: Use mvn to build Spark 1.2.0 failed
Date Wed, 28 Jan 2015 16:17:18 GMT
Before this I was facing the same problem, and fixed it adding the plugin
at the root pom.xml

Maybe this is related to the release, mine is:
Apache Maven 3.2.3 (33f8c3e1027c3ddde99d3cdebad2656a31e8fdf4;
2014-08-11T17:58:10-03:00)
Java version: 1.8.0_20, vendor: Oracle Corporation
OS name: "linux", version: "3.13.0-24-generic", arch: "amd64", family:
"unix"

Or the command that I'm using:
mvn -Dhadoop.version=2.0.0-mr1-cdh4.2.0 -DskipTests -Phive
-Phive-thriftserver clean compile assembly:single

I'm trying to build using the pr/1290
wyphao.2007 have you figured out how to complete the build?



2015-01-28 13:32 GMT-02:00 Sean Owen <sowen@cloudera.com>:

> I don't see how this would relate to the problem in the OP? the
> assemblies build fine already as far as I can tell.
>
> Your new error may be introduced by your change.
>
> On Wed, Jan 28, 2015 at 2:52 PM, Dirceu Semighini Filho
> <dirceu.semighini@gmail.com> wrote:
> > I was facing the same problem, and I fixed it by adding
> >
> > <plugin>
> > <artifactId>maven-assembly-plugin</artifactId>
> >         <version>2.4.1</version>
> >         <configuration>
> >           <descriptors>
> >
>  <descriptor>assembly/src/main/assembly/assembly.xml</descriptor>
> >           </descriptors>
> >         </configuration>
> > </plugin>
> >  in the root pom.xml, following the maven assembly plugin docs
> > <
> http://maven.apache.org/plugins-archives/maven-assembly-plugin-2.4.1/examples/multimodule/module-source-inclusion-simple.html
> >
> >
> > I can make a PR on this if you consider this an issue.
> >
> > Now I'm facing this problem, is that what you have now?
> > [ERROR] Failed to execute goal
> > org.apache.maven.plugins:maven-assembly-plugin:2.4.1:single (default-cli)
> > on project spark-network-common_2.10: Failed to create assembly: Error
> > adding file
> 'org.apache.spark:spark-network-common_2.10:jar:1.3.0-SNAPSHOT'
> > to archive:
> > /home/dirceu/projects/spark/network/common/target/scala-2.10/classes
> isn't
> > a file. -> [Help 1]
> >
> >
> > 2015-01-27 9:23 GMT-02:00 Sean Owen <sowen@cloudera.com>:
> >
> >> You certainly do not need yo build Spark as root. It might clumsily
> >> overcome a permissions problem in your local env but probably causes
> other
> >> problems.
> >> On Jan 27, 2015 11:18 AM, "angel__" <angel.alvarez.pascua@gmail.com>
> >> wrote:
> >>
> >> > I had that problem when I tried to build Spark 1.2. I don't exactly
> know
> >> > what
> >> > is causing it, but I guess it might have something to do with user
> >> > permissions.
> >> >
> >> > I could finally fix this by building Spark as "root" user (now I'm
> >> dealing
> >> > with another problem, but ...that's another story...)
> >> >
> >> >
> >> >
> >> > --
> >> > View this message in context:
> >> >
> >>
> http://apache-spark-developers-list.1001551.n3.nabble.com/Use-mvn-to-build-Spark-1-2-0-failed-tp9876p10285.html
> >> > Sent from the Apache Spark Developers List mailing list archive at
> >> > Nabble.com.
> >> >
> >> > ---------------------------------------------------------------------
> >> > To unsubscribe, e-mail: dev-unsubscribe@spark.apache.org
> >> > For additional commands, e-mail: dev-help@spark.apache.org
> >> >
> >> >
> >>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message